﻿using System.Collections.Generic;
using Luticate2.Utils.Controllers;
using Luticate2.Utils.Dbo.Basic;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using WebApiWebSem.Business;
using WebApiWebSem.Dbo.Feed;

namespace WebApiWebSem.Controllers
{
    [Route("feed")]
    public class FeedController : LuController
    {
        private readonly FeedBusiness _feedBusiness;

        public FeedController(IOptions<LuUtilsOptionsDbo> luUtilsOptionsDbo, FeedBusiness feedBusiness) : base(luUtilsOptionsDbo)
        {
            _feedBusiness = feedBusiness;
        }

        [HttpGet("")]
        public LuApiWrapperDbo<IList<FeedDbo>> Get()
        {
            return Handle(_feedBusiness.Get());
        }
    }
}